#include <stdio.h>
#include "random.h"

#define FRAMES 400

int main(int argc, char **argv) {
  int correlations = 0;
  bool o[FRAMES][16][50];
  for (int s = 0; s < 16; s++) {
    for (int l = 0; l < 50; l++) {
      for (int f = 0; f < FRAMES; f++) {
	o[f][s][l] = NotRandom::RandomOn(f, s, l);
      }
    }
  }

  for (int light1 = 0; light1 < 16*50; light1++) {
    for (int light2 = light1 + 1; light2 < 16*50; light2++) {
      int s = light1 / 50;
      int l = light1 % 50;
      int s2 = light2 / 50;
      int l2 = light2 % 50;
      int same = 0;
      for (int f = 0; f < FRAMES; f++) {
	if (o[f][s][l] == o[f][s2][l2]) {
	  same++;
	}
      }
      if (same < FRAMES * 4/10 || same > FRAMES * 6/10) {
	fprintf(stderr, "same = %d  %d,%d ~ %d,%d\n", same, s, l, s2, l2);
	correlations++;
      }
    }
  }
  fprintf(stderr, "Correlations: %d\n", correlations);
}
