#ifndef IMAGES_H
#define IMAGES_H

#include <string>
#include <stdio.h>

void readpnm(FILE *f, Matrix<float> *channels);
Matrix<float> readpgm(FILE *f, int reduce);
Matrix<float> read_image(int image);
std::string filename_for_image(int image);
void read_full_image(int image, Matrix<float> *channels);
void write_pnm(FILE *f, Matrix<float> *channels);
void write_pgm(FILE *f, Matrix<float> m);

#endif
